### Constructor

# Gtk Button new_with_label

#### Declaration [src]

    GtkWidget*
    gtk_button_new_with_label (
      const char* label
    )

#### Description [src]

Creates a `GtkButton` widget with a `GtkLabel` child.

#### Parameters

`label`

  Type: `const char*`

  The text you want the `GtkLabel` to hold.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

The newly created `GtkButton` widget.

The data is owned by the called function.